from types import MappingProxyType


ADDRESS_PREFIX: list[str] = [
    "",
    "de",
    "del",
    "dela",
    "delos",
    "la",
    "las",
    "los",
    "santa",
    "santo",
    "sta",
    "sta.",
    "sto",
    "sto.",
]


CITIES: list[str] = [
    "Aborlan",
    "Abra de Ilog",
    "Abucay",
    "Abulug",
    "Abuyog",
    "Agdangan",
    "Aglipay",
    "Agno",
    "Agoncillo",
    "Agoo",
    "Aguilar",
    "Ajuy",
    "Alabel",
    "Alamada",
    "Alaminos",
    "Alaminos",
    "Alangalang",
    "Albuera",
    "Alcala",
    "Alcala",
    "Alcantara",
    "Alfonso",
    "Aliaga",
    "Alicia",
    "Alicia",
    "Alimodian",
    "Allacapan",
    "Aloguinsan",
    "Aloran",
    "Alubijid",
    "Amadeo",
    "Amulung",
    "Anda",
    "Anda",
    "Angadanan",
    "Angat",
    "Angeles City",
    "Angono",
    "Anilao",
    "Antipolo",
    "Apalit",
    "Aparri",
    "Arayat",
    "Argao",
    "Aringay",
    "Aritao",
    "Aroroy",
    "Asingan",
    "Asturias",
    "Atimonan",
    "Aurora",
    "Aurora",
    "Aurora",
    "Ayungon",
    "Baao",
    "Babatngon",
    "Bacacay",
    "Bacarra",
    "Baclayon",
    "Bacnotan",
    "Baco",
    "Bacolod",
    "Bacolor",
    "Bacong",
    "Bacoor",
    "Badian",
    "Badoc",
    "Bagabag",
    "Baganga",
    "Baggao",
    "Bago",
    "Baguio City",
    "Bagumbayan",
    "Bais",
    "Balabac",
    "Balagtas",
    "Balamban",
    "Balanga",
    "Balaoan",
    "Balasan",
    "Balatan",
    "Balayan",
    "Baler",
    "Balete",
    "Balimbing",
    "Balimbing",
    "Balindong",
    "Balingasag",
    "Baliuag",
    "Ballesteros",
    "Balud",
    "Balungao",
    "Bamban",
    "Bambang",
    "Banate",
    "Banaybanay",
    "Banga",
    "Bañga",
    "Bangar",
    "Bangued",
    "Bani",
    "Banisilan",
    "Bansalan",
    "Bantacan",
    "Bantay",
    "Bantayan",
    "Baras",
    "Barili",
    "Barira",
    "Barobo",
    "Barotac Nuevo",
    "Barotac Viejo",
    "Barugo",
    "Basco",
    "Basey",
    "Basilisa",
    "Basista",
    "Basud",
    "Batac",
    "Batan",
    "Batangas",
    "Batarasa",
    "Bato",
    "Batobato",
    "Bauan",
    "Bauang",
    "Bauko",
    "Bautista",
    "Bay",
    "Bayawan",
    "Baybay",
    "Bayog",
    "Bayombong",
    "Bayugan",
    "Benito Soliven",
    "Binalbagan",
    "Binalonan",
    "Biñan",
    "Binangonan",
    "Binmaley",
    "Bislig",
    "Boac",
    "Bocaue",
    "Bogo",
    "Bolinao",
    "Bongabon",
    "Bongabong",
    "Bongao",
    "Bonifacio",
    "Bontoc",
    "Bontoc",
    "Borbon",
    "Borongan",
    "Botolan",
    "Brookes Point",
    "Buenavista",
    "Buenavista",
    "Buenavista",
    "Bugallon",
    "Bugasong",
    "Buguey",
    "Buguias",
    "Buhi",
    "Bula",
    "Bulacan",
    "Bulalacao",
    "Bulan",
    "Buldon",
    "Buluan",
    "Bunawan",
    "Burauen",
    "Butuan",
    "Buug",
    "Cabadbaran",
    "Cabagan",
    "Cabanatuan City",
    "Cabanglasan",
    "Cabarroguis",
    "Cabatuan",
    "Cabatuan",
    "Cabiao",
    "Cabugao",
    "Cabuyao",
    "Cadiz",
    "Cagayan de Oro",
    "Cainta",
    "Calabanga",
    "Calabayan",
    "Calaca",
    "Calapan",
    "Calape",
    "Calasiao",
    "Calatagan",
    "Calatrava",
    "Calauag",
    "Calauan",
    "Calbayog City",
    "Calinog",
    "Calintaan",
    "Caloocan City",
    "Calubian",
    "Calumpit",
    "Caluya",
    "Camalig",
    "Cambanugoy",
    "Camiling",
    "Canaman",
    "Candaba",
    "Candelaria",
    "Candijay",
    "Candon",
    "Canlaon",
    "Cantilan",
    "Capalonga",
    "Capas",
    "Capoocan",
    "Caraga",
    "Caramoan",
    "Caramoran",
    "Carcar",
    "Cardona",
    "Caridad",
    "Carigara",
    "Carles",
    "Carmen",
    "Carmen",
    "Carmen",
    "Carmona",
    "Carranglan",
    "Casiguran",
    "Castilla",
    "Castillejos",
    "Cataingan",
    "Catanauan",
    "Catarman",
    "Catbalogan",
    "Cateel",
    "Catmon",
    "Catubig",
    "Cavite City",
    "Cawayan",
    "Cawayan",
    "Cebu City",
    "City of Calamba",
    "City of Isabela",
    "City of Parañaque",
    "Clarin",
    "Claveria",
    "Claveria",
    "Claveria",
    "Claveria",
    "Cogan",
    "Columbio",
    "Compostela",
    "Concepcion",
    "Concepcion",
    "Consolacion",
    "Cordon",
    "Corella",
    "Coron",
    "Cotabato",
    "Cuartero",
    "Cuenca",
    "Culasi",
    "Cuyapo",
    "Daanbantayan",
    "Daet",
    "Dagami",
    "Dagupan City",
    "Dalaguete",
    "Damulog",
    "Danao",
    "Dao",
    "Dapitan",
    "Daraga",
    "Daram",
    "Dasmariñas",
    "Dasol",
    "Datu Paglas",
    "Dauin",
    "Dauis",
    "Davao",
    "Diffun",
    "Digos",
    "Dimataling",
    "Dinalupihan",
    "Dinas",
    "Dingle",
    "Dingras",
    "Dipaculao",
    "Diplahan",
    "Dipolog",
    "Dolores",
    "Dolores",
    "Don Carlos",
    "Donsol",
    "Dueñas",
    "Dulag",
    "Dumaguete City",
    "Dumalag",
    "Dumalinao",
    "Dumangas",
    "Dumanjog",
    "Dumarao",
    "Dumingag",
    "Dupax Del Norte",
    "Echague",
    "El Nido",
    "El Salvador",
    "Enrile",
    "Escalante",
    "Esperanza",
    "Esperanza",
    "Estancia",
    "Floridablanca",
    "Gamu",
    "Gandara",
    "Gapan",
    "Gasan",
    "Gattaran",
    "General Mamerto Natividad",
    "General Mariano Alvarez",
    "General Nakar",
    "General Santos",
    "General Tinio",
    "General Trias",
    "Gerona",
    "Getafe",
    "Gingoog",
    "Glan",
    "Gloria",
    "Goa",
    "Gonzaga",
    "Guagua",
    "Guambog",
    "Gubat",
    "Guiguinto",
    "Guihulñgan",
    "Guimba",
    "Guimbal",
    "Guinayangan",
    "Guindulman",
    "Guinobatan",
    "Guiuan",
    "Gumaca",
    "Gutalac",
    "Hagonoy",
    "Hagonoy",
    "Hamtic",
    "Hermosa",
    "Hilongos",
    "Himamaylan",
    "Hinatuan",
    "Hinigaran",
    "Hinunangan",
    "Iba",
    "Ibaan",
    "Ibajay",
    "Igbaras",
    "Iguig",
    "Ilagan",
    "Iligan",
    "Ilog",
    "Iloilo",
    "Imbatug",
    "Impasugong",
    "Imus",
    "Inabanga",
    "Indanan",
    "Indang",
    "Infanta",
    "Initao",
    "Ipil",
    "Iriga City",
    "Irosin",
    "Isabel",
    "Isabela",
    "Isulan",
    "Itogon",
    "Ivisan",
    "Jaen",
    "Jagna",
    "Jalajala",
    "Jamindan",
    "Janiuay",
    "Jaro",
    "Jasaan",
    "Jimalalud",
    "Jimenez",
    "Jinoba-an",
    "Jolo",
    "Jones",
    "Jordan",
    "Jose Abad Santos",
    "Jose Pañganiban",
    "Juban",
    "Kabacan",
    "Kabankalan",
    "Kabasalan",
    "Kabugao",
    "Kadingilan",
    "Kalamansig",
    "Kalibo",
    "Kalilangan",
    "Kalingalan Caluang",
    "Kananya",
    "Kapalong",
    "Kapatagan",
    "Kasibu",
    "Katipunan",
    "Kawit",
    "Kiamba",
    "Kibawe",
    "Kiblawan",
    "Kidapawan",
    "Kitaotao",
    "Koronadal",
    "Koronadal",
    "Kumalarang",
    "La Carlota",
    "La Libertad",
    "La Paz",
    "La Paz",
    "La Trinidad",
    "Labangan",
    "Labason",
    "Lagawe",
    "Lagonoy",
    "Lal-lo",
    "Lala",
    "Lambunao",
    "Lamitan",
    "Languyan",
    "Lantapan",
    "Laoac East",
    "Laoag",
    "Laoang",
    "Lapu-Lapu City",
    "Lapuyan",
    "Las Navas",
    "Las Nieves",
    "Las Piñas City",
    "Lasam",
    "Laur",
    "Laurel",
    "Lavezares",
    "Leganes",
    "Legazpi City",
    "Lemery",
    "Lemery",
    "Leon",
    "Leyte",
    "Lian",
    "Lianga",
    "Libacao",
    "Libmanan",
    "Libon",
    "Libona",
    "Libungan",
    "Licab",
    "Ligao",
    "Lilio",
    "Liloy",
    "Limay",
    "Lingayen",
    "Lingig",
    "Lipa City",
    "Llanera",
    "Lobo",
    "Lopez",
    "Loreto",
    "Los Baños",
    "Lower Tungawan",
    "Lubao",
    "Lucban",
    "Lucena",
    "Lumba-a-Bayabao",
    "Lumbang",
    "Luna",
    "Lupao",
    "Lupi Viejo",
    "Lupon",
    "Lutayan",
    "Luuk",
    "M’lang",
    "Maasin",
    "Maasin",
    "Maasin",
    "Maayon",
    "Mabalacat",
    "Mabinay",
    "Mabini",
    "Mabuhay",
    "Macabebe",
    "Macalelon",
    "Maco",
    "Maddela",
    "Madridejos",
    "Madridejos",
    "Magalang",
    "Magpet",
    "Magsaysay",
    "Magsaysay",
    "Magsaysay",
    "Magsingal",
    "Mahaplag",
    "Mahayag",
    "Maimbung",
    "Maitum",
    "Majayjay",
    "Makati City",
    "Makilala",
    "Malabang",
    "Malabon",
    "Malalag",
    "Malangas",
    "Malapatan",
    "Malasiqui",
    "Malay",
    "Malaybalay",
    "Malilipot",
    "Malinao",
    "Malita",
    "Mallig",
    "Malolos",
    "Maluñgun",
    "Maluso",
    "Malvar",
    "Mambajao",
    "Mamburao",
    "Mambusao",
    "Mamungan",
    "Manaoag",
    "Manapla",
    "Manay",
    "Mandaluyong City",
    "Mandaon",
    "Mandaue City",
    "Mangaldan",
    "Mangatarem",
    "Manila",
    "Manjuyod",
    "Mankayan",
    "Manolo Fortich",
    "Mansalay",
    "Manticao",
    "Manucan",
    "Mapandan",
    "Maragondon",
    "Maramag",
    "Marantao",
    "Marawi City",
    "Margosatubig",
    "Maria Aurora",
    "Maribojoc",
    "Marikina City",
    "Marilao",
    "Mariveles",
    "Masantol",
    "Masbate",
    "Masinloc",
    "Masiu",
    "Mataas Na Kahoy",
    "Matalam",
    "Matalom",
    "Matanao",
    "Matanog",
    "Mati",
    "Matnog",
    "Mauban",
    "Mayantoc",
    "Medellin",
    "Medina",
    "Mendez-Nuñez",
    "Mercedes",
    "Merida",
    "Mexico",
    "Meycauayan",
    "Miagao",
    "Midsalip",
    "Midsayap",
    "Milagros",
    "Milaor",
    "Minalabac",
    "Minalin",
    "Minglanilla",
    "Moalboal",
    "Mobo",
    "Mogpog",
    "Moises Padilla",
    "Molave",
    "Moncada",
    "Mondragon",
    "Monkayo",
    "Montevista",
    "Morong",
    "Morong",
    "Mulanay",
    "Munai",
    "Muntinlupa City",
    "Murcia",
    "Nabas",
    "Nabua",
    "Nabunturan",
    "Naga City",
    "Naga",
    "Naga",
    "Nagcarlan",
    "Naguilian",
    "Naguilian",
    "Naic",
    "Narra",
    "Narvacan",
    "Nasipit",
    "Nasugbu",
    "Naujan",
    "Naval",
    "Navotas",
    "New Corella",
    "New Panamao",
    "New Washington",
    "Norala",
    "Norzagaray",
    "Noveleta",
    "Nueva Valencia",
    "Numancia",
    "Oas",
    "Obando",
    "Ocampo",
    "Odiongan",
    "Olongapo",
    "Olutanga",
    "Opol",
    "Orani",
    "Oras",
    "Orion",
    "Ormoc",
    "Oroquieta",
    "Oslob",
    "Oton",
    "Ozamiz City",
    "Padre Burgos",
    "Padre Burgos",
    "Padre Garcia",
    "Pagadian",
    "Pagalungan",
    "Pagbilao",
    "Pagsanjan",
    "Palapag",
    "Palauig",
    "Palayan City",
    "Palimbang",
    "Palompon",
    "Pambujan",
    "Pamplona",
    "Pamplona",
    "Panabo",
    "Pananaw",
    "Panay",
    "Pandan",
    "Pandi",
    "Pangantocan",
    "Panglao",
    "Paniqui",
    "Panitan",
    "Pantabangan",
    "Pantao-Ragat",
    "Paombong",
    "Paracale",
    "Paracelis",
    "Parang",
    "Parang",
    "Pasacao",
    "Pasay City",
    "Pasig City",
    "Passi",
    "Pasuquin",
    "Pateros",
    "Patikul",
    "Patnongon",
    "Pavia",
    "Payabon",
    "Payao",
    "Peñablanca",
    "Peñaranda",
    "Perez",
    "Pigcawayan",
    "Pikit",
    "Pila",
    "Pilar",
    "Pilar",
    "Pilar",
    "Pili",
    "Pili",
    "Pililla",
    "Pinamalayan",
    "Pinamungahan",
    "Pinukpuk",
    "Pio Duran",
    "Placer",
    "Plaridel",
    "Plaridel",
    "Poblacion",
    "Poblacion",
    "Poblacion",
    "Poblacion",
    "Poblacion",
    "Pola",
    "Polanco",
    "Polangui",
    "Polillo",
    "Polomolok",
    "Pongotan",
    "Ponot",
    "Pontevedra",
    "Pontevedra",
    "Porac",
    "Pototan",
    "Pozorrubio",
    "President Manuel Acuña Roxas",
    "President Quirino",
    "President Roxas",
    "President Roxas",
    "Proper Bansud",
    "Prosperidad",
    "Puerto Galera",
    "Puerto Princesa",
    "Pulilan",
    "Pulupandan",
    "Quezon City",
    "Quezon",
    "Quezon",
    "Quezon",
    "Ragay",
    "Ramon",
    "Rapu-Rapu",
    "Real",
    "Rizal",
    "Rizal",
    "Robles",
    "Rodriguez",
    "Romblon",
    "Rosales",
    "Rosario",
    "Rosario",
    "Rosario",
    "Rosario",
    "Roseller Lim",
    "Roxas City",
    "Roxas",
    "Roxas",
    "Roxas",
    "Sablayan",
    "Sagay",
    "Sagnay",
    "Saint Bernard",
    "Salaman",
    "Salay",
    "Salug",
    "Samal",
    "Samal",
    "San Andres",
    "San Andres",
    "San Antonio",
    "San Antonio",
    "San Antonio",
    "San Carlos City",
    "San Carlos",
    "San Dionisio",
    "San Enrique",
    "San Fabian",
    "San Fernando",
    "San Fernando",
    "San Fernando",
    "San Fernando",
    "San Fernando",
    "San Francisco",
    "San Francisco",
    "San Ildefonso",
    "San Isidro",
    "San Isidro",
    "San Jacinto",
    "San Jacinto",
    "San Joaquin",
    "San Jose del Monte",
    "San Jose",
    "San Jose",
    "San Jose",
    "San Jose",
    "San Jose",
    "San Jose",
    "San Jose",
    "San Juan",
    "San Juan",
    "San Juan",
    "San Leonardo",
    "San Luis",
    "San Luis",
    "San Luis",
    "San Luis",
    "San Manuel",
    "San Manuel",
    "San Marcelino",
    "San Mariano",
    "San Mateo",
    "San Mateo",
    "San Miguel",
    "San Miguel",
    "San Miguel",
    "San Narciso",
    "San Narciso",
    "San Nicolas",
    "San Nicolas",
    "San Pablo",
    "San Pascual",
    "San Pascual",
    "San Pedro",
    "San Quintin",
    "San Rafael",
    "San Remigio",
    "San Remigio",
    "San Roque",
    "San Simon",
    "San Vicente",
    "Santa Ana",
    "Santa Ana",
    "Santa Barbara",
    "Santa Barbara",
    "Santa Catalina",
    "Santa Cruz",
    "Santa Cruz",
    "Santa Cruz",
    "Santa Cruz",
    "Santa Cruz",
    "Santa Cruz",
    "Santa Cruz",
    "Santa Elena",
    "Santa Fe",
    "Santa Ignacia",
    "Santa Maria",
    "Santa Maria",
    "Santa Maria",
    "Santa Maria",
    "Santa Maria",
    "Santa Rita",
    "Santa Rita",
    "Santa Rosa",
    "Santa Rosa",
    "Santiago",
    "Santo Domingo",
    "Santo Domingo",
    "Santo Domingo",
    "Santo Niño",
    "Santo Tomas",
    "Santo Tomas",
    "Santo Tomas",
    "Santo Tomas",
    "Sapa Sapa",
    "Saravia",
    "Sariaya",
    "Science City of Muñoz",
    "Sergio Osmeña Sr",
    "Sexmoan",
    "Shariff Aguak",
    "Siasi",
    "Siaton",
    "Siay",
    "Siayan",
    "Sibagat",
    "Sibalom",
    "Sibonga",
    "Sibuco",
    "Sibulan",
    "Sibutu",
    "Sigaboy",
    "Sigma",
    "Sikatuna",
    "Silang",
    "Silay",
    "Simbahan",
    "Simunul",
    "Sindangan",
    "Siniloan",
    "Siocon",
    "Sipalay",
    "Sipocot",
    "Siquijor",
    "Siraway",
    "Sison",
    "Sitangkai",
    "Socorro",
    "Sogod",
    "Sogod",
    "Solana",
    "Solano",
    "Sorsogon",
    "South Upi",
    "Sual",
    "Subic",
    "Sulop",
    "Sultan Kudarat",
    "Sumilao",
    "Sumisip",
    "Surallah",
    "Surigao",
    "Taal",
    "Tabaco",
    "Tabango",
    "Tabogon",
    "Tabuk",
    "Tabuk",
    "Tacloban",
    "Tacurong",
    "Tagaytay",
    "Tagbilaran City",
    "Tagbina",
    "Tagkawayan",
    "Tago",
    "Tagoloan",
    "Tagudin",
    "Taguig City",
    "Tagum",
    "Talacogon",
    "Talagutong",
    "Talakag",
    "Talavera",
    "Talayan",
    "Talibon",
    "Talipao",
    "Talisay",
    "Talisay",
    "Talisay",
    "Talusan",
    "Tambulig",
    "Tampakan",
    "Tanauan",
    "Tanauan",
    "Tanay",
    "Tandag",
    "Tandubas",
    "Tangub",
    "Tanjay",
    "Tantangan",
    "Tanza",
    "Tapas",
    "Tarlac City",
    "Tayabas",
    "Tayasan",
    "Taysan",
    "Taytay",
    "Taytay",
    "Tayug",
    "Teresa",
    "Tiaong",
    "Tibigan",
    "Tigaon",
    "Tigbauan",
    "Tinambac",
    "Tingloy",
    "Titay",
    "Tiwi",
    "Tobias Fornier",
    "Toboso",
    "Toledo",
    "Torrijos",
    "Trece Martires City",
    "Trento",
    "Trinidad",
    "Tuao",
    "Tuba",
    "Tubao",
    "Tubod",
    "Tuburan",
    "Tucuran",
    "Tudela",
    "Tuguegarao",
    "Tulunan",
    "Tumauini",
    "Tupi",
    "Tuy",
    "Ubay",
    "Umingan",
    "Upi",
    "Urbiztondo",
    "Urdaneta",
    "Uson",
    "Valencia",
    "Valencia",
    "Valenzuela",
    "Valladolid",
    "Vallehermoso",
    "Veruela",
    "Victoria",
    "Victoria",
    "Victorias",
    "Vigan",
    "Villaba",
    "Villanueva",
    "Villareal",
    "Villasis",
    "Vintar",
    "Vinzons",
    "Virac",
    "Wao",
    "Zamboanga City",
    "Zamboanguita",
    "Zaragoza",
]


PROVINCES = MappingProxyType(
    {
        "Abra": {
            "iso": "PH-ABR",
            "region": "CAR",
            "island_group": "Luzon",
        },
        "Agusan del Norte": {
            "iso": "PH-AGN",
            "region": "XIII",
            "island_group": "Mindanao",
        },
        "Agusan del Sur": {
            "iso": "PH-AGS",
            "region": "XIII",
            "island_group": "Mindanao",
        },
        "Aklan": {
            "iso": "PH-AKL",
            "region": "VI",
            "island_group": "Visayas",
        },
        "Albay": {
            "iso": "PH-ALB",
            "region": "V",
            "island_group": "Luzon",
        },
        "Antique": {
            "iso": "PH-ANT",
            "region": "VI",
            "island_group": "Visayas",
        },
        "Apayao": {
            "iso": "PH-APA",
            "region": "CAR",
            "island_group": "Luzon",
        },
        "Aurora": {
            "iso": "PH-AUR",
            "region": "III",
            "island_group": "Luzon",
        },
        "Basilan": {
            "iso": "PH-BAS",
            "region": "BARMM",
            "island_group": "Mindanao",
        },
        "Bataan": {
            "iso": "PH-BAN",
            "region": "III",
            "island_group": "Luzon",
        },
        "Batanes": {
            "iso": "PH-BTN",
            "region": "II",
            "island_group": "Luzon",
        },
        "Batangas": {
            "iso": "PH-BTG",
            "region": "IV-A",
            "island_group": "Luzon",
        },
        "Benguet": {
            "iso": "PH-BEN",
            "region": "CAR",
            "island_group": "Luzon",
        },
        "Biliran": {
            "iso": "PH-BIL",
            "region": "VIII",
            "island_group": "Visayas",
        },
        "Bohol": {
            "iso": "PH-BOH",
            "region": "VII",
            "island_group": "Visayas",
        },
        "Bukidnon": {
            "iso": "PH-BUK",
            "region": "X",
            "island_group": "Mindanao",
        },
        "Bulacan": {
            "iso": "PH-BUL",
            "region": "III",
            "island_group": "Luzon",
        },
        "Cagayan": {
            "iso": "PH-CAG",
            "region": "II",
            "island_group": "Luzon",
        },
        "Camarines Norte": {
            "iso": "PH-CAN",
            "region": "V",
            "island_group": "Luzon",
        },
        "Camarines Sur": {
            "iso": "PH-CAS",
            "region": "V",
            "island_group": "Luzon",
        },
        "Camiguin": {
            "iso": "PH-CAM",
            "region": "X",
            "island_group": "Mindanao",
        },
        "Capiz": {
            "iso": "PH-CAP",
            "region": "VI",
            "island_group": "Visayas",
        },
        "Catanduanes": {
            "iso": "PH-CAT",
            "region": "V",
            "island_group": "Luzon",
        },
        "Cavite": {
            "iso": "PH-CAV",
            "region": "IV-A",
            "island_group": "Luzon",
        },
        "Cebu": {
            "iso": "PH-CEB",
            "region": "VII",
            "island_group": "Visayas",
        },
        "Cotabato": {
            "iso": "PH-NCO",
            "region": "XII",
            "island_group": "Mindanao",
        },
        "Davao de Oro": {
            "iso": "PH-COM",
            "region": "XI",
            "island_group": "Mindanao",
        },
        "Davao del Norte": {
            "iso": "PH-DAV",
            "region": "XI",
            "island_group": "Mindanao",
        },
        "Davao del Sur": {
            "iso": "PH-DAS",
            "region": "XI",
            "island_group": "Mindanao",
        },
        "Davao Occidental": {
            "iso": "PH-DVO",
            "region": "XI",
            "island_group": "Mindanao",
        },
        "Davao Oriental": {
            "iso": "PH-DAO",
            "region": "XI",
            "island_group": "Mindanao",
        },
        "Dinagat Islands": {
            "iso": "PH-DIN",
            "region": "XIII",
            "island_group": "Mindanao",
        },
        "Eastern Samar": {
            "iso": "PH-EAS",
            "region": "VIII",
            "island_group": "Visayas",
        },
        "Guimaras": {
            "iso": "PH-GUI",
            "region": "VI",
            "island_group": "Visayas",
        },
        "Ifugao": {
            "iso": "PH-IFU",
            "region": "CAR",
            "island_group": "Luzon",
        },
        "Ilocos Norte": {
            "iso": "PH-ILN",
            "region": "I",
            "island_group": "Luzon",
        },
        "Ilocos Sur": {
            "iso": "PH-ILS",
            "region": "I",
            "island_group": "Luzon",
        },
        "Iloilo": {
            "iso": "PH-ILI",
            "region": "VI",
            "island_group": "Visayas",
        },
        "Isabela": {
            "iso": "PH-ISA",
            "region": "II",
            "island_group": "Luzon",
        },
        "Kalinga": {
            "iso": "PH-KAL",
            "region": "CAR",
            "island_group": "Luzon",
        },
        "La Union": {
            "iso": "PH-LUN",
            "region": "I",
            "island_group": "Luzon",
        },
        "Laguna": {
            "iso": "PH-LAG",
            "region": "IV-A",
            "island_group": "Luzon",
        },
        "Lanao del Norte": {
            "iso": "PH-LAN",
            "region": "X",
            "island_group": "Mindanao",
        },
        "Lanao del Sur": {
            "iso": "PH-LAS",
            "region": "BARMM",
            "island_group": "Mindanao",
        },
        "Leyte": {
            "iso": "PH-LEY",
            "region": "VIII",
            "island_group": "Visayas",
        },
        "Maguindanao del Norte": {
            "iso": "PH-MDN",
            "region": "BARMM",
            "island_group": "Mindanao",
        },
        "Maguindanao del Sur": {
            "iso": "PH-MDS",
            "region": "BARMM",
            "island_group": "Mindanao",
        },
        "Marinduque": {
            "iso": "PH-MAD",
            "region": "Mimaropa",
            "island_group": "Luzon",
        },
        "Masbate": {
            "iso": "PH-MAS",
            "region": "V",
            "island_group": "Luzon",
        },
        "Misamis Occidental": {
            "iso": "PH-MSC",
            "region": "X",
            "island_group": "Mindanao",
        },
        "Misamis Oriental": {
            "iso": "PH-MSR",
            "region": "X",
            "island_group": "Mindanao",
        },
        "Mountain Province": {
            "iso": "PH-MOU",
            "region": "CAR",
            "island_group": "Luzon",
        },
        "Negros Occidental": {
            "iso": "PH-NEC",
            "region": "VI",
            "island_group": "Visayas",
        },
        "Negros Oriental": {
            "iso": "PH-NER",
            "region": "VII",
            "island_group": "Visayas",
        },
        "Northern Samar": {
            "iso": "PH-NSA",
            "region": "VIII",
            "island_group": "Visayas",
        },
        "Nueva Ecija": {
            "iso": "PH-NUE",
            "region": "III",
            "island_group": "Luzon",
        },
        "Nueva Vizcaya": {
            "iso": "PH-NUV",
            "region": "II",
            "island_group": "Luzon",
        },
        "Occidental Mindoro": {
            "iso": "PH-MDC",
            "region": "Mimaropa",
            "island_group": "Luzon",
        },
        "Oriental Mindoro": {
            "iso": "PH-MDR",
            "region": "Mimaropa",
            "island_group": "Luzon",
        },
        "Palawan": {
            "iso": "PH-PLW",
            "region": "Mimaropa",
            "island_group": "Luzon",
        },
        "Pampanga": {
            "iso": "PH-PAM",
            "region": "III",
            "island_group": "Luzon",
        },
        "Pangasinan": {
            "iso": "PH-PAN",
            "region": "I",
            "island_group": "Luzon",
        },
        "Quezon": {
            "iso": "PH-QUE",
            "region": "IV-A",
            "island_group": "Luzon",
        },
        "Quirino": {
            "iso": "PH-QUI",
            "region": "II",
            "island_group": "Luzon",
        },
        "Rizal": {
            "iso": "PH-RIZ",
            "region": "IV-A",
            "island_group": "Luzon",
        },
        "Romblon": {
            "iso": "PH-ROM",
            "region": "Mimaropa",
            "island_group": "Luzon",
        },
        "Samar": {
            "iso": "PH-WSA",
            "region": "VIII",
            "island_group": "Visayas",
        },
        "Sarangani": {
            "iso": "PH-SAR",
            "region": "XII",
            "island_group": "Mindanao",
        },
        "Siquijor": {
            "iso": "PH-SIG",
            "region": "VII",
            "island_group": "Visayas",
        },
        "Sorsogon": {
            "iso": "PH-SOR",
            "region": "V",
            "island_group": "Luzon",
        },
        "South Cotabato": {
            "iso": "PH-SCO",
            "region": "XII",
            "island_group": "Mindanao",
        },
        "Southern Leyte": {
            "iso": "PH-SLE",
            "region": "VIII",
            "island_group": "Visayas",
        },
        "Sultan Kudarat": {
            "iso": "PH-SUK",
            "region": "XII",
            "island_group": "Mindanao",
        },
        "Sulu": {
            "iso": "PH-SLU",
            "region": "BARMM",
            "island_group": "Mindanao",
        },
        "Surigao del Norte": {
            "iso": "PH-SUN",
            "region": "XIII",
            "island_group": "Mindanao",
        },
        "Surigao del Sur": {
            "iso": "PH-SUR",
            "region": "XIII",
            "island_group": "Luzon",
        },
        "Tarlac": {
            "iso": "PH-TAR",
            "region": "III",
            "island_group": "Luzon",
        },
        "Tawi-Tawi": {
            "iso": "PH-TAW",
            "region": "BARMM",
            "island_group": "Mindanao",
        },
        "Zambales": {
            "iso": "PH-ZMB",
            "region": "III",
            "island_group": "Luzon",
        },
        "Zamboanga del Norte": {
            "iso": "PH-ZAN",
            "region": "IX",
            "island_group": "Mindanao",
        },
        "Zamboanga del Sur": {
            "iso": "PH-ZAS",
            "region": "IX",
            "island_group": "Mindanao",
        },
        "Zamboanga Sibugay": {
            "iso": "PH-ZSI",
            "region": "IX",
            "island_group": "Mindanao",
        },
    }
)


STREET_FORMAT: list[str] = [
    "avenue",
    "ave.",
    "ave",
    "drive",
    "dr.",
    "dr",
    "street",
    "st.",
    "st",
]
